# UpdateDiscountPlacementChild

> Edit the provider-specific fields of one discount placement. Write access, discounts toolset, MCP tool update_discount_placement_child.

**Access:** [Write](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `input` | `UpdateDiscountPlacementChildInput!` | yes | Input object, below |  |

## Input types

### UpdateDiscountPlacementChildInput

| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `child` | `JSON!` | yes | Any JSON value | The provider block keyed by the placement's slug — only the keys given change. |
| `placementId` | `UUID!` | yes |  |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"UpdateDiscountPlacementChild","variables":{"input":{"child":"…","placementId":"00000000-0000-0000-0000-000000000000"}},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"3b3412be470e1422286f8461f6acc0a22566812d962ae0d121b858cafbbaee35"}}}'
```

## Document

```graphql
mutation UpdateDiscountPlacementChild($input: UpdateDiscountPlacementChildInput!) { __typename updateDiscountPlacementChild(input: $input) { __typename placement { __typename id rowId } userErrors { __typename code field message } } }
```

Source: https://developer.missin.co.uk/reference/discounts/update-discount-placement-child
